%define name celestia
%define version 1.4.1
%define release %mkrel 1

Summary:	A real-time visual space simulation
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sciences/Astronomy
Source0:	http://prdownloads.sourceforge.net/celestia/%{name}-%{version}.tar.bz2
Source1:    %{name}-16.png.bz2
Source2:    %{name}-32.png.bz2
Source3:    %{name}-48.png.bz2
Patch0:     celestia-1.4.1-cpp.patch
Patch1:     celestia-1.4.1-destdir.patch
URL:		http://www.shatters.net/celestia/
BuildRequires:	libmesaglut-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	gtkglarea-devel
BuildRequires:  kdelibs-devel
BuildRequires:  libarts-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Celestia is a free real-time space simulation that lets you experience
our universe in three dimensions. Unlike most planetarium software,
Celestia doesn't confine you to the surface of the Earth. You can
travel throughout the solar system, to any of over 100,000 stars, or
even beyond the galaxy. All travel in Celestia is seamless; the
exponential zoom feature lets you explore space across a huge range of
scales, from galaxy clusters down to spacecraft only a few meters
across. A 'point-and-goto' interface makes it simple to navigate
through the universe to the object you want to visit.

%prep
%setup -q
%patch0 -p0 -b .cppfix
%patch1 -p0 -b .destdir

%build

aclocal
libtoolize --force
automake -a
autoconf-2.5x || :

%configure2_5x --with-gtk --with-kde --with-gnome --disable-rpath 
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std transform=""

bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/celestia"\
title="Celestia"\
longtitle="An astronomy simultor"\
needs="x11"\
icon="%{name}.png"\
section="More Applications/Sciences/Astronomy"\
xdg="true"
EOF
)

%find_lang %name

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL README TODO 
#%{_docdir}/HTML
%attr(755,root,root) %{_bindir}/*
%{_datadir}/applnk/*
%{_datadir}/apps/*
%{_datadir}/config/*
%{_datadir}/mimelnk/*
%{_datadir}/services/*
#%{_datadir}/icons/hicolor/*
# applnk/  apps/  config/  doc/  icons/  mimelnk/  services/
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
#%_sysconfdir/gconf/schemas/*


%changelog
* Thu Aug 03 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/03/06 13:54:47 (43311)
- 1.4.1
- xdg menu
- patch fixing c++ and destdir

* Thu Aug 03 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/03/06 12:41:34 (43191)
Import celestia

* Tue Oct 04 2005 Olivier Thauvin <nanardon@mandriva.org> 1.3.2-2mdk
- rebuild

* Thu Sep 30 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.3.2-1mdk
- 1.3.2

* Wed Jun 30 2004 Michael Scherer <misc@mandrake.org> 1.3.1-2mdk 
- rebuild for new gcc, patch0
- clean BuildRequires
- remove libtool hack
- disable rpath

* Fri May 14 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.3.1-1mdk
- 1.3.1

* Fri Apr 25 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.3.0-2mdk
- buildrequires (stefan spamming ;)

* Thu Apr 17 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.3.0-1mdk
- 1.3.0

* Wed Jan 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2.5-1mdk
- 1.2.5
- remove patch1 (obsolete)
- yes lenny, I am a "phacochre" ;)

* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2.4-5mdk
- rebuild for rpm and glibc

* Thu Sep 05 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2.4-4mdk
- rebuild for new libstdc++

* Wed Jun 19 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2.4-3mdk
- Fix buildrequires

* Tue May 28 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2.4-2mdk
- rebuild against gcc 3
- patch for gcc 3 (Very thx Gwenole)

* Fri May 03 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2.4-1mdk
- 1.2.4
- add forget menu files

* Wed Apr 17 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2.2-1mdk
- adapted for mdk from pld
- 1.2.2
- add menu and icons entries

